<?php

	class in8_product_tags extends WC_API_Resource {


		protected $base = '/insert_tags';
		public function register_routes( $sroutes ) {

			# GET /Update Order Item details and recalculate.

			$sroutes[ $this->base ] = [
				[ [ $this, 'add_tags' ], WC_API_Server::READABLE ],
			];

			return $sroutes;
		}

		public function add_tags() {
			$prodId = $_REQUEST['id'];

			$data = $_REQUEST['data'];
			$tags = json_decode( base64_decode( $data ), TRUE );

			if ( empty($prodId) ) {
				echo json_encode( [ "errors" => "Missing id argument. POST" ] );
				exit;
			}

			# get product
			$product = wc_get_product($prodId);
			if( $product ) {
				/* @var WC_Product $product */
				if ( empty( $product->post ) || $product->post->post_type != 'product' ) {
					echo json_encode( [ "errors" => "Product doesn't exist. POST" ] );
					exit;
				}
				
				
				$test = wp_set_object_terms( $prodId, $tags, 'product_tag' );
			}

			echo json_encode( [ "success" => "Tags saved" ] );
			exit;
		}
	}