<?php

    class in8cats extends WC_API_Resource {

        protected $base = '/in8cats';

        public function register_routes($routes) {



            # Assign categories to products


            $routes[$this->base] = array(
                array(array($this, 'assign_cats'), WC_API_Server::READABLE | WC_API_SERVER::EDITABLE | WC_API_SERVER::ACCEPT_DATA),
            );
            return $routes;
        }

        public function assign_cats() {

            // They want to update or add data

            echo "test:";

            print_r($_REQUEST);

            //product id
            $id = $_REQUEST["id"];
            //netsuite category internal id		
            $nscatiid = json_decode(base64_decode($_REQUEST["internalid"]), true);

            echo "\n";
            echo "id = " . $id . "\n";
            //echo "data = ".json_encode($data)."\n";

            if (!isset($id)) {
                echo json_encode(array("errors" => "Missing id argument. POST"));
                exit;
            }

            if (!isset($nscatiid)) {
                echo json_encode(array("errors" => "Missing internalid argument. POST"));
                exit;
            }


//use the netsuite category internal id $nscatiid to get the WC category ids from the terms_meta table
// assign those categories to the product using the product id $id



            $taxonomy = 'product_cat';
            $args = array(
                'taxonomy' => $taxonomy,
                'hide_empty' => false,
                'fields' => 'ids'
            );
            $cats = get_terms($taxonomy, $args);
			
			wp_delete_object_term_relationships( $id, $taxonomy );
            //construct an array that has the term id and internal id. match up the internal from the NS json and get term id for each.			
            $i = 0;
            foreach ($cats as $cat) {
                $t_id = $cat;
                $int_id = get_term_meta($t_id, 'internalid', true);

                if (!empty($int_id)) {
                    if (in_array($int_id, $nscatiid)) {
                        $outputlist[$i++] = intval($t_id, 10);
                    }
                }
            }
            if (isset($outputlist) && !empty($outputlist)) {
                wp_set_object_terms($id, $outputlist, $taxonomy, TRUE);
            }
            echo json_encode(array("success" => "true"));
            exit;
        }

    }
    